Redmine - Defect #7577

"Send account information to the user” only works when password is set
2011-02-08 21:26 - RW

Status: Closed Start date: 2011-02-08
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Administration Estimated time: 0.00 hour
Target version: 3.4.0

Resolution: Fixed Affected version:

Description

MySQL: 5.1.49

Ruby: 1.8.7

Rails: 2.3.5

Redmine: 1.1.1.stable.4802 (MySQL)
Account information is not sent to users when the box next to "Send account information to the user" is checked on

http:/redmineurl/users/4/edit
http://redmineurl/users/new

Related issues:
Related to Redmine - Patch #25249: Change translation for label_send_information Closed

Associated revisions

Revision 16453 - 2017-04-03 12:48 - Jean-Philippe Lang

Send email even if password is not changed (#7577).

History

#1 - 2011-02-23 18:45 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Cant reproduce

Can not reproduce with either 1.1-stable or trunk.
Make sure your email delivery is properly setup.

#2 - 2011-04-20 01:16 - Matt Connolly
- Status changed from Closed to Reopened
| can reproduce this issue. The problem | see is specific to editing a user.

If you edit a user and have the "Send account information to the user" option checked, the details are only sent to the user if a new password has
been explicitly set. ie: If you change their name or email, nothing will be sent.

Is this by design? If so, it's confusing and perhaps the label for the checkbox could be "Send new password to the user" which infers that it will not do
anything unless a new password has been entered.

#3 - 2011-04-20 09:54 - Etienne Massip

- Target version set to Candidate for next minor release

Condition at source:trunk/app/controllers/users_controller.ro#L 160 is :

Quser.active? && params[:send_information] && !params|[:user][:password].blank? && @user.auth_source_id.nil?

So you're right, a new password needs to be entered which is a bit confusing.
This checkbox is used to send new account information to the user at creation too.

#4 - 2012-01-31 16:15 - Steve Moyer
http://redmineurl/users/4/edit
http://redmineurl/users/new
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/app/controllers/users_controller.rb#L160

I ran into a variant of this bug that | thought was worth mentioning. I'm using LDAP authentication with my Redmine instance and therefore there is
no password to change. But when | create a user account in Redmine, | really would like to send an e-mail with the details. So | guess I'm also
voting for the idea that any account creation or account change (or even clicking the save button again without changes) be allowed to create the
e-mail.

#5 - 2012-10-24 13:44 - Anonymous
+1. Sending info to LDAP users would be helful.

#6 - 2013-01-10 16:19 - Miodrag Milic

+1 for LDAP users

Actually, this should be a button visible for admins only.
#7 - 2013-01-16 11:08 - Daniel Felix

Etienne Massip wrote:

Condition at source:trunk/app/controllers/users_controller.ro#L 160 is :

(-]

So you're right, a new password needs to be entered which is a bit confusing.
This checkbox is used to send new account information to the user at creation too.

Any news on this Etienne? :-)
Maybe this could be fixed in the next minor release?

#8 - 2013-01-23 19:00 - Jean-Philippe Lang

The existing email notification is used to send the password, that's why it's only sent when the password is set. If we want to be able to send an email
in any case, it would be better to define different templates for when:

1. the account was created
2. the account was updated without password change
3. the password was changed

In 2., what should the email look like?

#9 - 2013-01-24 15:59 - Etienne Massip

Suggestion:

o object: Your account has been created
o body: every field name and value visible in the Information fieldset of the user account screen and password if internal auth

o

object: Summary of your account
body: every field name and value visible in the Information fieldset of the user account screen

o

o object: Your authentication information has been updated
o body: password and every field name and value visible in the Information fieldset of the user account screen

Edited x times

#10 - 2013-01-28 08:52 - Daniel Felix

- Tracker changed from Defect to Feature

This is more likely a feature request then a defect.

#11 - 2017-03-06 13:09 - Go MAEDA
- Related to Patch #25249: Change translation for label_send_information added

#12 - 2017-03-18 10:16 - Jean-Philippe Lang
- Assignee set to Jean-Philippe Lang
- Target version changed from Candidate for next minor release to 3.4.0

- Resolution deleted (Cant reproduce)

#13 - 2017-04-03 12:50 - Jean-Philippe Lang

- Tracker changed from Feature to Defect
- Subject changed from "Send account information to the user" is broken to "Send account information to the user" only works when password is set
- Status changed from Reopened to Closed

- Resolution set to Fixed

Change done in r16453. An email with username and login URL will now be sent when the password is not changed.
